
import { arc } from 'd3';

const mouthArc = ({mouthRadius, mouthWidth}) => arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI / 2 + Math.PI / 2 * Math.random())
	.endAngle(Math.PI * 3 / 2 - Math.PI / 2 * Math.random());

export const Mouth = (props) => (
	<path d={mouthArc(props)()}/>
)